%define upstream_name    Catalyst-View-TT
%define upstream_version 0.30

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:	Catalyst TT View Class
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz
# This patch done originally by rgs allow to specify the Template class to use
# Need for compatibility with CS4 for fibric
Patch0:     Catalyst-View-TT-0.30-template_class.patch

BuildRequires:	perl(Catalyst) >= 5.50
BuildRequires:  perl(MRO::Compat)
BuildRequires:	perl(Path::Class)
BuildRequires:	perl(Template)
BuildRequires:  perl(Template::Provider::Encoding)
BuildRequires:	perl(Template::Timer)

BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
This is the Catalyst view class for the Template Toolkit. Your application
should defined a view class which is a subclass of this module. The easiest way
to achieve this is using the myapp_create.pl script (where myapp should be
replaced with whatever your application is called). This script is created as
part of the Catalyst setup.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p2

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Catalyst
%{_mandir}/*/*


%changelog
* Sun Sep 27 2009 Jérôme Quelin <jquelin@mandriva.org> 0.300.0-1mdv2010.0
+ Revision: 450060
- fix require - using perl-Foo instead of perl(Foo) is bad, mmk?
- patch renamed, fix spec file
- update to 0.30

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.290.0-1mdv2010.0
+ Revision: 406313
- rebuild using %%perl_convert_version

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.29-1mdv2009.1
+ Revision: 343867
- update to new version 0.29

* Fri Feb 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.28-1mdv2009.1
+ Revision: 343199
- update to new version 0.28

* Tue Jun 17 2008 Olivier Thauvin <nanardon@mandriva.org> 0.27-2mdv2009.0
+ Revision: 222183
- resurect template_class patch done by rgs
- yet another buildrequires for tests

* Sat May 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.27-1mdv2009.0
+ Revision: 210859
- new version

* Thu Jan 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.26-1mdv2008.1
+ Revision: 153976
- update to new version 0.26

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.25-1mdv2008.0
+ Revision: 47033
- update to new version 0.25


* Mon May 29 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.23-2mdv2007.0
- Patch 0: allow to override the internal template class

* Sat May 27 2006 Scott Karns <scottk@mandriva.org> 0.23-1mdv2007.0
- 0.23

* Fri May 05 2006 Scott Karns <scottk@mandriva.org> 0.22-3mdk
- Update BuildRequires
- Updated to comply with Mandriva perl packaging policy

* Mon Mar 06 2006 Buchan Milne <bgmilne@mandriva.org> 0.22-2mdk
- BuildRequire newer Catalyst (ease backport)

* Fri Jan 27 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.22-1mdk
- 0.22

* Tue Jan 03 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.21-1mdk
- 0.21

* Fri Dec 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.20-1mdk
- Initial MDV RPM

